---
title: SpeechSynthesisEvent.elapsedTime
slug: Web/API/SpeechSynthesisEvent/elapsedTime
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechSynthesisEvent
  - Web Speech API
  - elapsedTime
  - speech
  - synthesis
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>elapsedTime</code></strong> read-only property of the {{domxref("SpeechSynthesisUtterance")}} interface returns the elapsed time in seconds after the {{domxref("SpeechSynthesisUtterance.text")}} started being spoken that the event was triggered at.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">event.elapsedTime;
</pre>

<h3 id="Value">Value</h3>

<p>A float.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">utterThis.onboundary = function(event) {
  console.log(event.name + ' boundary reached after ' + event.elapsedTime + ' seconds.');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Speech API', '#dom-speechsynthesisevent-elapsedtime', 'elapsedTime')}}</td>
			<td>{{Spec2('Web Speech API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechSynthesisEvent.elapsedTime")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
